High-speed downloading deluge crash

General support for any problems installing or running Deluge
sunsea

High-speed downloading deluge crash

Postby sunsea » Wed Jun 22, 2011 1:33 am

My server's bandwidth is 100M, when I use deluge download speed when close to 10M / S when the deluge would crash!

Beginning with the 1.3.1 version, there are problems after the upgrade into 1.3.2 version, but the problem still not resolved!

Now using rtorrent, stable operation, but I like deluge, hope the issue can be resolved crash!

I viewed deluged.log inside, but nothing!

I also use "deluged-L-l" but still nothing!

Today once again try to use deluge, when deluged crashes, which saw the following in SSH return!

Code: Select all

root@sunsea:~/.config/deluge# python: malloc.c:3951: __libc_valloc: Assertion `!p || ((((mchunkptr)((char*)(p) - 2*(sizeof(size_t)))))->size & 0x2) || ar_ptr == (((((mchunkptr)((char*)(p) - 2*(sizeof(size_t)))))->size & 0x4) ? ((heap_info *)((unsigned long)(((mchunkptr)((char*)(p) - 2*(sizeof(size_t))))) & ~((2 * (512 * 1024))-1)))->ar_ptr : &main_arena)' failed.

johnnyg
Top Bloke
Top Bloke
Posts: 1522
Joined: Sun Oct 28, 2007 4:00 am
OS or Distro: Arch Linux x86_64
Location: Sydney, Australia

Re: High-speed downloading deluge crash

Postby johnnyg » Wed Jun 22, 2011 3:52 am

This appears to be the same bug as this: https://bugs.launchpad.net/glibc/+bug/490024

What distro are you using?
And what version of glibc/eglibc are you using?

sunsea

Re: High-speed downloading deluge crash

Postby sunsea » Wed Jun 22, 2011 11:20 am

johnnyg wrote:This appears to be the same bug as this: https://bugs.launchpad.net/glibc/+bug/490024

What distro are you using?
And what version of glibc/eglibc are you using?


I'm using Ubuntu 10.04.1 LTS with libc6 = 2.11.1-0ubuntu7.2 installed
How do I fix this problem?

Cas
Top Bloke
Top Bloke
Posts: 3104
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: High-speed downloading deluge crash

Postby Cas » Wed Jun 22, 2011 4:31 pm

Make sure Ubuntu is updated and that you are using the latest version of Libtorrent (0.15.6 at this time). In fact looking at the changelog it seems you have not updated Lucid for over a year which is never a good thing as these are usually security updates.

If you still encounter an issue then update that bug report with your findings as this is not a deluge bug so there is nothing for us to fix.


Return to “Support”

Who is online

Users browsing this forum: Yahoo [Bot] and 1 guest